package cn.iocoder.lyzsys.module.tjt.service.specialtyrolesplit;

import cn.iocoder.lyzsys.module.tjt.controller.admin.specialtyrolesplit.vo.SpecialtyRoleSplitBatchSaveReqVO;
import cn.iocoder.lyzsys.module.tjt.controller.admin.specialtyrolesplit.vo.SpecialtyRoleSplitRespVO;

import java.util.Collection;
import java.util.List;
import java.util.Map;

/**
 * 页面5角色比例 Service 接口
 *
 * @author Codex
 */
public interface SpecialtyRoleSplitService {

    List<SpecialtyRoleSplitRespVO> getSpecialtyRoleSplitListByPlanningId(Long planningId);

    Map<Long, List<SpecialtyRoleSplitRespVO>> getSpecialtyRoleSplitListMapByPlanningIds(Collection<Long> planningIds);

    void saveSpecialtyRoleSplitBatch(SpecialtyRoleSplitBatchSaveReqVO reqVO);

    void deleteByOutputSplitId(Long outputSplitId);

    void deleteByOutputSplitIds(List<Long> outputSplitIds);

}
